declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    preload: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    intersectedPlay: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
    forceBrowserCache: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
    mountAfterPlay: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
}, {
    props: {
        fileUrl?: string | undefined;
        width?: string | undefined;
        height?: string | undefined;
        autoplay?: boolean | undefined;
        controls?: boolean | undefined;
        loop?: boolean | undefined;
        muted?: boolean | undefined;
        poster?: string | undefined;
        smPoster?: string | undefined;
        mdPoster?: string | undefined;
        lgPoster?: string | undefined;
        xlPoster?: string | undefined;
        playsinline: boolean;
        preload: 'auto' | 'metadata' | 'none';
        lazy: boolean;
        cover?: boolean | undefined;
        preventCopy: boolean;
        intersectedPlay: boolean;
        forceBrowserCache: boolean;
        mountAfterPlay: boolean;
    };
    MAX_CACHE_SIZE: number;
    video: import("vue").Ref<HTMLVideoElement | undefined>;
    videoSrc: import("vue").ComputedRef<string | undefined>;
    playing: import("vue").Ref<boolean>;
    setPlaying: (value: boolean) => boolean;
    togglePlay: () => void;
    isVideoPlaying: (video: HTMLVideoElement) => boolean;
    observer: IntersectionObserver | undefined;
    isMountVideo: import("vue").Ref<boolean | "" | undefined>;
    mountVideo: (value: boolean) => boolean;
    cachedVideoUrl: import("vue").Ref<any>;
    CACHE_NAME: string;
    browserCache: (videoUrl?: string) => Promise<void>;
    getBlobUrl: (response: Response) => Promise<string>;
    cachePut: (videoUrl: string) => Promise<string>;
    posterClicked: () => Promise<void>;
    UiPicture: import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        smSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        mdSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        lgSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        xlSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        alt: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        width: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        height: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        requestWidth: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        requestHeight: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        loadingWidth: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        loadingHeight: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        quality: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        lazy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: () => boolean;
        };
        useResolutions: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        srcsetMaxResolution: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: () => number;
        };
        hideImageOnError: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        imageRatio: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        errorImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("pictureMouseover" | "pictureMouseleave")[], "pictureMouseover" | "pictureMouseleave", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        src: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        smSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        mdSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        lgSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        xlSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        alt: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        width: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        height: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        requestWidth: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        requestHeight: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        loadingWidth: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        loadingHeight: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        quality: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        lazy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: () => boolean;
        };
        useResolutions: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        srcsetMaxResolution: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: () => number;
        };
        hideImageOnError: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        imageRatio: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        errorImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
    }>> & {
        onPictureMouseover?: ((...args: any[]) => any) | undefined;
        onPictureMouseleave?: ((...args: any[]) => any) | undefined;
    }, {
        quality: number | undefined;
        lazy: boolean | undefined;
        preventCopy: boolean | undefined;
        srcsetMaxResolution: number | undefined;
        imageRatio: number | undefined;
        errorImage: string | undefined;
        blankImage: string | undefined;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    preload: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    intersectedPlay: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
    forceBrowserCache: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
    mountAfterPlay: {
        type: BooleanConstructor;
        required: true;
        default: boolean;
    };
}>>, {
    loop: boolean;
    autoplay: boolean;
    lazy: boolean;
    preventCopy: boolean;
    controls: boolean;
    muted: boolean;
    cover: boolean;
    playsinline: boolean;
    preload: string;
}>;
export default _sfc_main;
