import dayjs from "dayjs";
/**
 * `targetTime`이 될 때가지 시간을 count down 하며,
 * 1초 단위로 `callback` 함수를 호출한다.
 * `targetTime`이 되면 `diff=0`으로 callback 을 호출하고, count down 이 종료된다.
 */
export declare class CountDownTimer {
    private callback;
    private targetTime?;
    private interval?;
    constructor(callback: (diff: number) => void);
    isRunning(): boolean;
    start(targetTime: dayjs.Dayjs): void;
    stop(): void;
    countDown(): void;
}
